Bug 129912 - Boot hangs when USB Soyo Bayone Memory Reader is installed
Boot hangs when USB Soyo Bayone Memory Reader is installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 22:23 EDT by Gerry Tool
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2004-08-13 22:23:02 EDT
Description of problem:
I have a Soyo mainboard which includes a "Bayone" Compact Flash /
Smart Media card reader/writer.  If I have it installed (USB cable
connection is internal to the CPU box) when booting a 2.6.7 kernel,
booting hangs forever at a line saying "Mounting USB File Systems." 
It matters not whether a media is plugged into it.


Version-Release number of selected component (if applicable):
2.6.7-1.494.2.2

How reproducible:
Always


Steps to Reproduce:
1.Install cable for card reader
2.Reboot computer to FC2 
3.
  
Actual results:
Boot will not complete - hangs on "Mounting USB Filesystem"


Expected results:
Boot completely to GDM login.


Additional info:
FC1 with kernel 2.4.22-1.2199 boots OK, but the device is not
recognized in Hardware Browser.

FC3T1 with kernel 2.6.7-1.517 will boot, but the device is not
recognized in Hardware Browser.  

Some earlier kernels in FC2 and FC3T1 would hang.  Some seemed
sporadic, but I did not keep detailed records, not knowing for a while
what device was causing the hang.

The device does work in Windows XP and in Suse 9.x.
Comment 1 Gerry Tool 2004-08-15 10:40:24 EDT
I now have had kernel 517 hang once on "Mounting USB Filesystem" with
the Soyo card reader disconnected, but with a USB key drive and an
external Camedia smart media reader plugged into USB 2.0 ports on the
computer.  Removing these devices and rebooting worked, but since this
so far has been a single occurence, I can't be sure of cause and effect.
Comment 2 Alex Hornby 2004-09-26 07:26:46 EDT
I have the same problem with a "Hi-Speed" USB Card Reader/Writer ( a
no name USB 2.0 and USB 1.1 card reader ).

Linux fails to boot if it is attached, but it will work if I plug it
in after boot.

The device works fine in windows xp.
Comment 3 Dave Jones 2005-04-16 01:42:38 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.